Skip to main content
GET
List Evaluation Runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_id
string | null

Agent ID

team_id
string | null

Team ID

workflow_id
string | null

Workflow ID

model_id
string | null

Model ID

type
enum<string> | null

Filter type

Available options:
agent,
team,
workflow
limit
integer | null
default:20

Number of eval runs to return

Required range: x >= 1
page
integer | null
default:1

Page number

Required range: x >= 0
sort_by
string | null
default:created_at

Field to sort by

sort_order
enum<string> | null
default:desc

Sort order (asc or desc)

Available options:
asc,
desc
db_id
string | null

The ID of the database to use

table
string | null

The database table to use

eval_types
string | null

Comma-separated eval types (accuracy,agent_as_judge,performance,reliability)

Example:

"accuracy,agent_as_judge,performance,reliability"

Response

Evaluation runs retrieved successfully

data
EvalSchema · object[]
required

List of items for the current page

meta
PaginationInfo · object
required

Pagination metadata